VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsCommonDialogs"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Dim OFName As OPENFILENAME

Public Function ShowOpen(ByVal OwnderhWnd As Long, ByVal Title As String, ByVal Filter As String, FilterIndex As Integer, Optional initDir As String) As String

OFName.lStructSize = Len(OFName)
OFName.hwndOwner = OwnderhWnd
OFName.hInstance = App.hInstance
OFName.lpstrFilter = Replace(Filter, "|", Chr(0))
OFName.nFilterIndex = FilterIndex
OFName.lpstrFile = Space$(254)
OFName.nMaxFile = 255
OFName.lpstrFileTitle = Space$(254)
OFName.nMaxFileTitle = 255
OFName.lpstrInitialDir = initDir
OFName.lpstrTitle = Title
OFName.flags = OFN_HIDEREADONLY Or OFN_FILEMUSTEXIST
    
If GetOpenFileName(OFName) Then
    ShowOpen = Trim$(OFName.lpstrFile)
Else
    ShowOpen = -1
End If
    
End Function

Public Function ShowSave(OwnderhWnd As Long, Title As String, Filter As String, defExt As String, Optional initDir As String) As String

OFName.lStructSize = Len(OFName)
OFName.hwndOwner = OwnderhWnd
OFName.hInstance = App.hInstance
OFName.lpstrFilter = Replace(Filter, "|", Chr(0))
OFName.lpstrFile = Space$(254)
OFName.nMaxFile = 255
OFName.lpstrFileTitle = Space$(254)
OFName.nMaxFileTitle = 255
OFName.lpstrInitialDir = initDir
OFName.lpstrTitle = Title
OFName.flags = OFN_OVERWRITEPROMPT
OFName.lpstrDefExt = defExt

If GetSaveFileName(OFName) Then
    ShowSave = Trim$(OFName.lpstrFile)
Else
    ShowSave = -1
End If

End Function
