VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsSuche"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public Event DateiGefunden(strPfad As String, strDateiName As String)
Public Event OrdnerGefunden(strVerzeichnis As String)
Public strSuchmuster As String

Public bolCaseSensitive As Boolean
Public bolIncludeSubDirs As Boolean

Public Sub Suchen(strVerzeichnis As String)

Dim File As WIN32_FIND_DATA
Dim strFileName As String
Dim strTempSuchmuster As String
Dim strTempFileName As String
Dim Suchmuster() As String
Dim bolFound As Boolean
Dim n As Long
Dim lngHandle As Long

If Right(strVerzeichnis, 1) <> "\" Then
    strVerzeichnis = strVerzeichnis & "\"
End If

lngHandle = FindFirstFile(strVerzeichnis & "*.*", File)

Do
    DoEvents
    strFileName = Left(File.cFileName, InStr(File.cFileName, Chr(0)) - 1)
    
    If strFileName <> "." And strFileName <> ".." Then
        If (File.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY) = FILE_ATTRIBUTE_DIRECTORY Then
            If Right(strVerzeichnis, 1) <> "\" Then
                strVerzeichnis = strVerzeichnis & "\"
            End If
            
            If Right(strFileName, 1) <> "\" Then
                strFileName = strFileName & "\"
            End If
            
            strTempFileName = strVerzeichnis & strFileName
            strTempSuchmuster = strSuchmuster
            If Not bolCaseSensitive Then
                strTempFileName = UCase(strVerzeichnis & strFileName)
                strTempSuchmuster = UCase(strTempSuchmuster)
            End If
            bolFound = False
            Suchmuster = Split(strTempSuchmuster, ";")
            For n = 0 To UBound(Suchmuster)
                If strTempFileName Like Suchmuster(n) Then bolFound = True
            Next
            If bolFound Then RaiseEvent OrdnerGefunden(strVerzeichnis & strFileName)
                        
            If bolIncludeSubDirs Then Suchen strVerzeichnis & strFileName
        Else
            strTempFileName = strFileName
            strTempSuchmuster = strSuchmuster
            If Not bolCaseSensitive Then
                strTempFileName = UCase(strFileName)
                strTempSuchmuster = UCase(strTempSuchmuster)
            End If
            bolFound = False
            Suchmuster = Split(strTempSuchmuster, ";")
            For n = 0 To UBound(Suchmuster)
                If strTempFileName Like Suchmuster(n) Then bolFound = True
            Next
            If bolFound And strFileName <> "" Then RaiseEvent DateiGefunden(strVerzeichnis, strFileName)
                        
        End If
        
    End If
    
Loop While FindNextFile(lngHandle, File)

FindClose lngHandle

End Sub

