VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsOrdnerAuswahl"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Public RootDir As ShellSpecialFolderConstants
Public options As eOptions
Public hwnd As Long
Public Title As String

Private Type BROWSEINFO
  hwndOwner As Long
  pIDLRoot As Long
  pszDisplayName As Long
  lpszTitle As Long
  ulFlags As Long
  lpfnCallback As Long
  lParam As Long
  iImage As Long
End Type

Private Type ITEMID
  cb As Long
  abID As Byte
End Type

Private Type ITEMIDLIST
  mkid As ITEMID
End Type

Enum ShellSpecialFolderConstants
  CSIDL_DESKTOP = &H0&                  'Alle Ressourcen ab Desktop
  CSIDL_PROGRAMS = &H2&                 'Startmen Programme <aktueller Benutzer>
  CSIDL_PRINTERS = &H4&                 'Drucker
  CSIDL_PERSONAL = &H5&                 'Eigene Dateien      <aktueller Benutzer>
  CSIDL_FAVORITES = &H6&                'Favoriten           <aktueller Benutzer>
  CSIDL_STARTMENU = &HB&                'Gesamtes Startmen  <aktueller Benutzer>
  CSIDL_DESKTOPDIRECTORY = &H10&        'Desktop (Ordner)    <aktueller Benutzer>
  CSIDL_DRIVES = &H11&                  'Arbeitsplatz
  CSIDL_NETWORK = &H12&                 'Netzwerkumgebung
  CSIDL_NETHOOD = &H13&                 'Netzwerkumgebung (Ordner)
  CSIDL_FONTS = &H14&                   'Fonts (Ordner)
  CSIDL_TEMPLATES = &H15&               'Vorlagen (Ordner)
  CSIDL_COMMON_STARTMENU = &H16&        'Gesamtes Startmen  <alle Benutzer>
  CSIDL_COMMON_PROGRAMS = &H17&         'Startmen Programme <alle Benutzer>
  CSIDL_COMMON_STARTUP = &H18&          'Autostart (Ordner)  <alle Benutzer>
  CSIDL_COMMON_DESKTOPDIRECTORY = &H18& 'Destop (Ordner)   <alle Benutzer>
  CSIDL_APPDATA = &H1A&                 'Anwendungsdaten     <aktueller Benutzer>
  CSIDL_PRINTHOOD = &H1B&               'Druckumgebung (Ordner)
  CSIDL_ALTSTARTUP = &H1D&              'Altern. Autostart (Ordner) <aktueller Benutzer>
  CSIDL_COMMON_ALTSTARTUP = &H1E&       'Altern. Autostart (Ordner) <alle Benutzer>
  CSIDL_COMMON_FAVORITES = &H1F&        'Favoriten                  <alle Benutzer>
  CSIDL_INTERNET_CACHE = &H20&          'Temp. Internet Files
  CSIDL_COOKIES = &H21&                 'Internet Cookies (Ordner)
  CSIDL_HISTORY = &H22&                 'Internet Verlauf (Ordner)
End Enum

Enum eOptions
    BIF_RETURNONLYFSDIRS = &H1&
    BIF_EDITBOX = &H10&
    BIF_BROWSEINCLUDEFILES = &H4000&
End Enum

Private Declare Function SHGetSpecialFolderLocation Lib "Shell32" (ByVal hwndOwner As Long, ByVal nFolder As Integer, ppidl As Long) As Long
Private Declare Function SHGetPathFromIDList Lib "Shell32" (ByVal pidList As Long, ByVal lpBuffer As String) As Long
Private Declare Function SHBrowseForFolder Lib "Shell32" (lpbi As BROWSEINFO) As Long
Private Declare Function VarPtr Lib "msvbvm60.dll" (ByVal a As Any) As Long

Public Function BrowseForFolder()

Dim bInfo As BROWSEINFO
Dim BrowseRoot As Long
Dim pID As Long
Dim SelPath As String
    
Call SHGetSpecialFolderLocation(hwnd, RootDir, pID)
    
With bInfo
    .hwndOwner = hwnd
    .pIDLRoot = RootDir
    .ulFlags = options
    .lpszTitle = VarPtr(Title)
End With

pID = SHBrowseForFolder(bInfo)

If pID Then
    SelPath = Space(255)
    Call SHGetPathFromIDList(pID, SelPath)
    SelPath = Left(SelPath, InStr(SelPath, Chr(0)) - 1)
      
    If options = BIF_RETURNONLYFSDIRS Then
        If Right(SelPath, 1) = "\" Then
            SelPath = SelPath
        Else
            SelPath = SelPath & "\"
        End If
    End If
Else
    SelPath = ""
End If

BrowseForFolder = SelPath

End Function

